jmarkov.solvers

## Class JamaSolver

- java.lang.Object
- - jmarkov.solvers.Solver
  - - jmarkov.solvers.SteadyStateSolver
    - - jmarkov.solvers.JamaSolver

- All Implemented Interfaces:
    JMarkovElement

      public final class JamaSolver
      extends SteadyStateSolver

  Solver implementation for steady state, using JAMA
  Author:
    Germán Riaño

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JamaSolver(MarkovProcess mp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `description()` This method return a complete verbal describtion of this element.
    `double[]` | `getSteadyState()` It find the steady state probabilities.
    `java.lang.String` | `label()` The name of this solver.

    - ### Methods inherited from class jmarkov.solvers.Solver

      `getMP, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jmarkov.basic.JMarkovElement

      `equals`

- - ### Constructor Detail

    - #### JamaSolver

          public JamaSolver(MarkovProcess mp)

      Parameters:
        `mp` -

  - ### Method Detail

    - #### getSteadyState

          public double[] getSteadyState()
                                  throws NotUnichainException

      It find the steady state probabilities. If no Solution is found an array of 0's is returned
      Specified by:
        `getSteadyState` in class `SteadyStateSolver`
      Returns:
        an array with the Steady state probabilities for the given problem.
      Throws:
        `NotUnichainException`
      See Also:
        `MarkovProcess.getGenerator()`, `MarkovProcess.getRates()`, `MarkovProcess.getRate(State, State)`

    - #### label

          public java.lang.String label()

      Description copied from class: `Solver`
      The name of this solver. This should be implemented by the extending classes..
      Specified by:
        `label` in interface `JMarkovElement`
      Specified by:
        `label` in class `Solver`
      Returns:
        A String label.
      See Also:
        `Solver.label()`

    - #### description

          public java.lang.String description()

      Description copied from interface: `JMarkovElement`
      This method return a complete verbal describtion of this element. This description may contain multiple text rows.
      Returns:
        A String describing this element.
      See Also:
        `JMarkovElement.label()`